%% Aufgabe 1
clear all

syms x y z

X=[x;y;z]

f=sin(x*y)/(x^2+y^2+z^2)

for i=3:-1:1
    for j=3:-1:1
        Hf(i,j)=diff(f,X(j),X(i));
    end
end

Hf=simplify(Hf);

test=Hf-hessian(f)
simplify(test)


%% Aufgabe 2
clear all

syms x y z

f=(sin(y)*x^2/2-cos(x)*y^4/4)*exp(-z)

F=int(f,z)

I=int(f,z,0,Inf)

fsurf(I,[-10 10 -10 10])

%% Aufgabe 3
clear all
syms x y z

eqns = [2*x + y == 0,...
        x^2-z   == 1,...
        z^2-1   >  0];

[x0,y0,z0,parameter,conditions]=solve(eqns, [x y z], 'ReturnConditions', true)

for i=1:length(x0)
    disp(['Lsung ' num2str(i) ':']) 
    disp([x0(i) y0(i)  z0(i)])
    disp('solange')
    disp(conditions(i))
    disp('einsetzen:')
    disp(subs(subs(subs(eqns,x,x0(i)),y,y0(i)),z,z0(i)))
end


%% Aufgabe 4
clear all

syms N k n

S1=symsum(1/k^n,k,1,N)

l1=limit(S1,N,Inf);
l2=limit(S1,n,Inf);

disp('fr N-->\inf lautet der Grenzwert von S_1')
disp(l1)
disp('fr n-->\inf lautet der Grenzwert von S_1')
disp(l2)


S2=symsum(1/n^k,k,1,N)
l3=limit(S2,N,Inf)
l4=limit(S2,n,Inf)

S2s=simplify(S2,100);

l5=limit(S2s,N,Inf);
disp('fr N-->\inf lautet der Grenzwert von S_2')
pretty(l5)


l6=limit(S2s,n,inf);

assume(N,'positive')
l7=limit(l6,n,Inf);

disp('fr 0 < n-->\inf lautet der Grenzwert von S_2')
disp(l7)

assume(n,'positive')
l5=limit(S2s,N,Inf);
disp('fr 0 < N-->\inf lautet der Grenzwert von S_2')
pretty(l5)



%% Aufgabe 5
clear all

syms r x y z 

R=sqrt([x y z]*[x y z].')

f=sin(r)/r

fx=subs(f,r,R)

Dfx=diff(fx,x,2)+diff(fx,y,2)+diff(fx,z,2)

Df=subs(Dfx,R,r)
Df=simplify(Df,100)
Df=collect(Df,sin(r))
Df=subs(Df,R^2,r^2)
Df=collect(Df,cos(r))
Df=subs(Df,R^2,r^2)

figure(1)
fplot(f,[0 5])
hold on
fplot(Df,[0 5])
hold off
legend('f','\Delta f')





